GNU logs - #18280, boring messages


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18280: chmod: race condition
Resent-From: Tobias Stoeckmann <tobias@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sat, 16 Aug 2014 17:47:02 +0000
Resent-Message-ID: <handler.18280.B.140821118817935 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 18280
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 18280 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-coreutils@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.140821118817935
          (code B ref -1); Sat, 16 Aug 2014 17:47:02 +0000
Received: (at submit) by debbugs.gnu.org; 16 Aug 2014 17:46:28 +0000
Received: from localhost ([127.0.0.1]:44784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XIi3g-0004fD-9b
	for submit <at> debbugs.gnu.org; Sat, 16 Aug 2014 13:46:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51059)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tobias@HIDDEN>) id 1XIi2e-0004cJ-A4
 for submit <at> debbugs.gnu.org; Sat, 16 Aug 2014 13:45:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tobias@HIDDEN>) id 1XIi2P-00077n-4O
 for submit <at> debbugs.gnu.org; Sat, 16 Aug 2014 13:45:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50400)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tobias@HIDDEN>) id 1XIi2P-00077j-1p
 for submit <at> debbugs.gnu.org; Sat, 16 Aug 2014 13:45:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52767)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tobias@HIDDEN>) id 1XIi2H-0001CC-Gz
 for bug-coreutils@HIDDEN; Sat, 16 Aug 2014 13:45:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tobias@HIDDEN>) id 1XIi2A-0006vh-1h
 for bug-coreutils@HIDDEN; Sat, 16 Aug 2014 13:45:01 -0400
Received: from mout.kundenserver.de ([212.227.126.131]:65358)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tobias@HIDDEN>) id 1XIi29-0006vS-O7
 for bug-coreutils@HIDDEN; Sat, 16 Aug 2014 13:44:53 -0400
Received: from fungi.pizza.local (p4FE317A0.dip0.t-ipconnect.de
 [79.227.23.160])
 by mrelayeu.kundenserver.de (node=mreue003) with ESMTP (Nemesis)
 id 0LqYDd-1WnTwh44dl-00e8Tr; Sat, 16 Aug 2014 19:44:51 +0200
Received: from fungi.pizza.local (localhost [127.0.0.1])
 by fungi.pizza.local (8.14.8/8.14.8) with ESMTP id s7GHimvM024554
 for <bug-coreutils@HIDDEN>; Sat, 16 Aug 2014 19:44:48 +0200 (CEST)
Received: (from tobias@localhost)
 by fungi.pizza.local (8.14.8/8.14.8/Submit) id s7GHimeo016773
 for bug-coreutils@HIDDEN; Sat, 16 Aug 2014 19:44:48 +0200 (CEST)
Date: Sat, 16 Aug 2014 19:44:47 +0200
From: Tobias Stoeckmann <tobias@HIDDEN>
Message-ID: <20140816174447.GA3384@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.22 (2013-10-16)
X-Provags-ID: V02:K0:XtGISlbyjRYj8uzZD2vayXDdUOUzsgPE0jzFTvPvzni
 7JKKJVDIW6zIeNXuic1k7vKgLYRD9zwlpsS9FS3SU3Cr4DJwCa
 KCbEyolJT0Y+MQlKtnDrP2+4jiPQpIVliGn8Kft3OZ1l8FPAET
 hwO/kbYqRZ1udXW2GGoYxK425WKsvqixzQx2CsRVel2pyiHZo2
 YTLaX20GSu/4cSx0Ullf8OrfXy0BtDUn9qeFJxRxT5pjGvHxiJ
 +vkRFT1uVvxcB0/DvKosucbmOaZwKyWUcqyKyhzRUV7tm3ufJh
 t/MsknO+UQOKo0Lr6IrhYMWFE5dawV4FmLB8yTo8JRsz198y+B
 HncI2Ce5Vzdjx3DBi9U0jBJSjd4cwLG4G5EG0Aoy5tZWv9Ue/m
 qVIKSMggF0Xsg==
X-UI-Out-Filterresults: notjunk:1;
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Mailman-Approved-At: Sat, 16 Aug 2014 13:46:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

chmod is vulnerable to a TOCTTOU (time of check to time of use) race
condition. Tested this on an OpenBSD system.  For people unfamiliar
with OpenBSD, /etc/master.passwd basically equals /etc/shadow:

# chmod --version | head -n 1
chmod (GNU coreutils) 8.23
# ls -l /etc/master.passwd
-rw-------  1 root  wheel  4244 Jul 23 21:14 /etc/master.passwd
# chmod -R g+w /usr/src
<second console interferes here>
# ls -l /etc/master.passwd
-rw-rw-r--  1 root  wheel  4244 Jul 23 21:14 /etc/master.passwd

$ rm /usr/src/Makefile
$ ln -s /etc/master.passwd /usr/src/Makefile

For the second console, the user belonged to the same group as
/usr/src (wsrc in this example).

The second console is able to modify Makefile because the directory
/usr/src was already made group-writable.

The race happens in src/chmod.c, around function process_file.  Before
it gets called, fts_read() retrieved information about the _file_
Makefile, i.e. before the second console removed it.

Then the file gets replaced by a symlink, pointing to a file we want
to get modified.  Now chmodat() resolves the path again and actually
evaluates the _symlink_.  The destination file /etc/master.passwd can
be happily parsed by the attacker now.


I won't supply a patch now, as I remember that GNU is a bit picky about
accepting patches from everyone.  But I will recommend to look into
the use of fchmodat() instead, supplying the argument
AT_SYMLINK_NOFOLLOW.  We discuss this solution at OpenBSD currently.


Tobias




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Tobias Stoeckmann <tobias@HIDDEN>
Subject: bug#18280: Acknowledgement (chmod: race condition)
Message-ID: <handler.18280.B.140821118817935.ack <at> debbugs.gnu.org>
References: <20140816174447.GA3384@HIDDEN>
X-Gnu-PR-Message: ack 18280
X-Gnu-PR-Package: coreutils
Reply-To: 18280 <at> debbugs.gnu.org
Date: Sat, 16 Aug 2014 17:47:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 18280 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
18280: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18280
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18280: chmod: race condition
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sat, 16 Aug 2014 20:54:01 +0000
Resent-Message-ID: <handler.18280.B18280.140822240210943 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18280
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Tobias Stoeckmann <tobias@HIDDEN>, 18280 <at> debbugs.gnu.org
Received: via spool by 18280-submit <at> debbugs.gnu.org id=B18280.140822240210943
          (code B ref 18280); Sat, 16 Aug 2014 20:54:01 +0000
Received: (at 18280) by debbugs.gnu.org; 16 Aug 2014 20:53:22 +0000
Received: from localhost ([127.0.0.1]:44829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XIkyX-0002qQ-KY
	for submit <at> debbugs.gnu.org; Sat, 16 Aug 2014 16:53:21 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:51345)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1XIkyU-0002pp-NM
 for 18280 <at> debbugs.gnu.org; Sat, 16 Aug 2014 16:53:19 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 9580DA60010;
 Sat, 16 Aug 2014 13:53:12 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id QcU0ED2b1LNi; Sat, 16 Aug 2014 13:53:07 -0700 (PDT)
Received: from [192.168.1.9] (pool-71-177-17-123.lsanca.dsl-w.verizon.net
 [71.177.17.123])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id C949E39E8011;
 Sat, 16 Aug 2014 13:53:07 -0700 (PDT)
Message-ID: <53EFC4B3.5060607@HIDDEN>
Date: Sat, 16 Aug 2014 13:53:07 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.0
MIME-Version: 1.0
References: <20140816174447.GA3384@HIDDEN>
In-Reply-To: <20140816174447.GA3384@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Tobias Stoeckmann wrote:
> But I will recommend to look into
> the use of fchmodat() instead, supplying the argument
> AT_SYMLINK_NOFOLLOW.

Sorry, that won't work, and this is a known bug.  Please see:

http://bugs.gnu.org/11108




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 16 Aug 2014 20:55:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 16 16:55:09 2014
Received: from localhost ([127.0.0.1]:44833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XIl0G-0002tO-Ga
	for submit <at> debbugs.gnu.org; Sat, 16 Aug 2014 16:55:09 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:51404)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1XIl0D-0002sp-Qw
 for control <at> debbugs.gnu.org; Sat, 16 Aug 2014 16:55:06 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 3242139E8018
 for <control <at> debbugs.gnu.org>; Sat, 16 Aug 2014 13:55:00 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id QKePLop531gu for <control <at> debbugs.gnu.org>;
 Sat, 16 Aug 2014 13:54:58 -0700 (PDT)
Received: from [192.168.1.9] (pool-71-177-17-123.lsanca.dsl-w.verizon.net
 [71.177.17.123])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id E5C4239E8011
 for <control <at> debbugs.gnu.org>; Sat, 16 Aug 2014 13:54:57 -0700 (PDT)
Message-ID: <53EFC521.5070409@HIDDEN>
Date: Sat, 16 Aug 2014 13:54:57 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.0
MIME-Version: 1.0
To: control <at> debbugs.gnu.org
Subject: 11108 and 18280 are the same bug
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

forcemerge 11108 18280




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18280: chmod: race condition
Resent-From: Tobias Stoeckmann <tobias@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sun, 17 Aug 2014 11:47:01 +0000
Resent-Message-ID: <handler.18280.B18280.140827598624490 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18280
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: patch
To: Paul Eggert <eggert@HIDDEN>
Cc: 18280 <at> debbugs.gnu.org
Received: via spool by 18280-submit <at> debbugs.gnu.org id=B18280.140827598624490
          (code B ref 18280); Sun, 17 Aug 2014 11:47:01 +0000
Received: (at 18280) by debbugs.gnu.org; 17 Aug 2014 11:46:26 +0000
Received: from localhost ([127.0.0.1]:45158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XIyuo-0006Mv-3W
	for submit <at> debbugs.gnu.org; Sun, 17 Aug 2014 07:46:26 -0400
Received: from mout.kundenserver.de ([212.227.126.187]:62728)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tobias@HIDDEN>) id 1XIyul-0006Mf-Ma
 for 18280 <at> debbugs.gnu.org; Sun, 17 Aug 2014 07:46:24 -0400
Received: from fungi.pizza.local (p4FE308F2.dip0.t-ipconnect.de [79.227.8.242])
 by mrelayeu.kundenserver.de (node=mreue006) with ESMTP (Nemesis)
 id 0M8X4h-1WOWXz3loJ-00wG2S; Sun, 17 Aug 2014 13:46:17 +0200
Received: from fungi.pizza.local (localhost [127.0.0.1])
 by fungi.pizza.local (8.14.8/8.14.8) with ESMTP id s7HBkEFM010031;
 Sun, 17 Aug 2014 13:46:14 +0200 (CEST)
Received: (from tobias@localhost)
 by fungi.pizza.local (8.14.8/8.14.8/Submit) id s7HBkD4w004973;
 Sun, 17 Aug 2014 13:46:13 +0200 (CEST)
Date: Sun, 17 Aug 2014 13:46:13 +0200
From: Tobias Stoeckmann <tobias@HIDDEN>
Message-ID: <20140817114612.GA4815@HIDDEN>
References: <20140816174447.GA3384@HIDDEN>
 <53EFC4B3.5060607@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <53EFC4B3.5060607@HIDDEN>
User-Agent: Mutt/1.5.22 (2013-10-16)
X-Provags-ID: V02:K0:FETZcAcDS2B279jNUoSTY65tU/PTM+NA92wnTGrTHnl
 VouPF9Jy6ff842sRNU1ODtDaS7u446XR6zLj5YD1K9U4wZQqsx
 ClTZyZpCEnryY71XFrUs8F+OjXpS6DEmj0taN8hj0alIZeo/Xb
 aHnrXfzuWRWWtIS5AGWiZP+fqkyQ5R/3PQK15Qmzqwc9rqAfWD
 RWdG1lKy4dg8wCOYwrnT4UzCj2Nv8W5lqzH07+A5HJcKLGkLrJ
 Qc8/Pvx/lwhI3o6cjaieNZWm0wZqhB9P7yMag2ax6bkvQa49ku
 fg68kV3vU0Lp98TkyJUVlzOCdieqftiVxUUDm982wz/zKO/NU4
 RhmaQ4ElzpmcMpbmYdD5lJFfjUUs9DsErRdrAew5q
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Sat, Aug 16, 2014 at 01:53:07PM -0700, Paul Eggert wrote:
> Tobias Stoeckmann wrote:
> >But I will recommend to look into
> >the use of fchmodat() instead, supplying the argument
> >AT_SYMLINK_NOFOLLOW.
> 
> Sorry, that won't work, and this is a known bug.  Please see:
> 
> http://bugs.gnu.org/11108

I investigated into this and installed the mentioned Fedora 17
distribution on a virtual machine.  The bug report is correct, chmod
fails to adjust the permission of files and directories with fchmodat
and AT_SYMLINK_NOFOLLOW in place.

Opening the manual page helped me though:

$ man fchmodat
[...]
AT_SYMLINK_NOFOLLOW
    If pathname is a symbolic link, do not dereference it: instead operate
    on the link itself. This flag is not currently implemented.
[...]
ENOTSUP
    flags specified AT_SYMLINK_NOFOLLOW, which is not supported.


So in short, Fedora 17 and even later versions simply don't support the
flag.  I'm not convinced that due to the lack of implementation of some
systems, everyone should suffer.

For me, it sounds like configure should run a functionality test, calling
fchmodat with AT_SYMLINK_NOFOLLOW and see if it fails and ENOTSUP is set
in errno.  In that case, don't call fchmodat or force 0 for flags,
otherwise use AT_SYMLINK_NOFOLLOW.


Tobias




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18280: chmod: race condition
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sun, 17 Aug 2014 14:47:02 +0000
Resent-Message-ID: <handler.18280.B18280.140828677613469 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18280
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: patch
To: Tobias Stoeckmann <tobias@HIDDEN>
Cc: 18280 <at> debbugs.gnu.org
Received: via spool by 18280-submit <at> debbugs.gnu.org id=B18280.140828677613469
          (code B ref 18280); Sun, 17 Aug 2014 14:47:02 +0000
Received: (at 18280) by debbugs.gnu.org; 17 Aug 2014 14:46:16 +0000
Received: from localhost ([127.0.0.1]:45557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XJ1ip-0003V8-C8
	for submit <at> debbugs.gnu.org; Sun, 17 Aug 2014 10:46:15 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:48534)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1XJ1il-0003Un-M7
 for 18280 <at> debbugs.gnu.org; Sun, 17 Aug 2014 10:46:12 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id E31E3A60010;
 Sun, 17 Aug 2014 07:46:04 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dJWRy89+YOVO; Sun, 17 Aug 2014 07:45:56 -0700 (PDT)
Received: from [192.168.1.9] (pool-71-177-17-123.lsanca.dsl-w.verizon.net
 [71.177.17.123])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 3A60CA6000B;
 Sun, 17 Aug 2014 07:45:56 -0700 (PDT)
Message-ID: <53F0C01C.4040303@HIDDEN>
Date: Sun, 17 Aug 2014 07:45:48 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.0
MIME-Version: 1.0
References: <20140816174447.GA3384@HIDDEN>
 <53EFC4B3.5060607@HIDDEN> <20140817114612.GA4815@HIDDEN>
In-Reply-To: <20140817114612.GA4815@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.0 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Tobias Stoeckmann wrote:
> For me, it sounds like configure should run a functionality test, calling
> fchmodat with AT_SYMLINK_NOFOLLOW and see if it fails and ENOTSUP is set
> in errno.  In that case, don't call fchmodat or force 0 for flags,
> otherwise use AT_SYMLINK_NOFOLLOW.

Yes, that sounds like a reasonable way to move forward.  At least, that 
is what I was thinking of doing in 2012.  I never got around to it, 
partly because (although it's an improvement) it's not a complete fix 
for the race.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 04:23:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 00:23:21 2018
Received: from localhost ([127.0.0.1]:52984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHLYk-0006dx-SN
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:23:21 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:39495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHLYj-0006di-Qb
 for control <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:23:18 -0400
Received: by mail-pl1-f177.google.com with SMTP id b5-v6so4249101pla.6
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 21:23:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=4hXRYKoS6AgE+X4xY0E7DE1tpIqms0jYc8T879PJgXk=;
 b=AtbaE02cfs0w5/lF9eTDrYSTQgHji9Jm9j2cNLQ3PqA2t4ig/meRjdHDADh9q8wgM8
 6UqFX06UE3C/lWJOS/+RzDFRm7f++XPxAfpVK1uBEHajM3gPLYzr91R+xoISlF7c+2qe
 sm5V6FueNirbBdyVFownknkDO1Q2LHZjyWgzcHmm/lQO8K3iLAj9yrCYcD05d5TC4Ka6
 oIap+KGwJShOCVurhbaPc/xzcE1FJdAia7L9HswHMiv81vC1fght4wXyrolLmKc0SdSk
 fFLM6zpUD3HruI5CqcDXrqy6cCof5407U5h1Zffj5+eRqOsKew5gDZuU7wJfXgNe6IH5
 GSag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=4hXRYKoS6AgE+X4xY0E7DE1tpIqms0jYc8T879PJgXk=;
 b=H9opzwkhMBQb9B9sAJmfKSAPJlCNZZVxp6A0VSlxpZKYTzCzh9pc32PgmjWkUhzbCA
 UN1v7rnXFcwWcgLeD2fOn37MN34F5HP8oKJKwnBEUsps1JXr1AkE8ip+/xydNKsYDOOk
 ufektl+iJbj5dFgX8Sj/YlmloAilwzpJaX07St9dxr/w6mFKSE6r4u7cnwHuKGeqnHyr
 NU45mTYPoBVMbU40UtyYan//cduYUnFDAWv5XJd65lPZLXDBkyFhlmGmvBWavwJOUOgz
 SapfimTJ2ok1cF7nUVDCpmOnPOP34Gmy24/h6jA+CntPUeXyX8NGLJf5yx7Lei/fgZoP
 s1aw==
X-Gm-Message-State: AGRZ1gLee5BaYO08WS6lTyOZsupbQaqaw2IURPCinOLdecvCFvm7ZoqY
 yoJvqdTKAo07wiIa16veemvG6/QIQSw=
X-Google-Smtp-Source: AJdET5eCzTGxHwZlJsnGbmUrho/FaPVEBfJ5PM6gLRcP39nB3uXGbaJ3rRFI3t7b93n3Qe6ix/mVmg==
X-Received: by 2002:a17:902:166:: with SMTP id
 93-v6mr1825846plb.68.1540873391466; 
 Mon, 29 Oct 2018 21:23:11 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j187-v6sm31048344pfc.39.2018.10.29.21.23.09
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 21:23:10 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <09801c4a-1a7b-954b-07cb-8364d64d49e8@HIDDEN>
Date: Mon, 29 Oct 2018 22:23:09 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 11108 wishlist retitle 11108 chmod: fix symlink race
 condition forcemerge 11108 32772 [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.214.177 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 11108 wishlist
retitle 11108 chmod: fix symlink race condition
forcemerge 11108 32772




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 04:23:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 00:23:21 2018
Received: from localhost ([127.0.0.1]:52984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHLYk-0006dx-SN
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:23:21 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:39495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHLYj-0006di-Qb
 for control <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:23:18 -0400
Received: by mail-pl1-f177.google.com with SMTP id b5-v6so4249101pla.6
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 21:23:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=4hXRYKoS6AgE+X4xY0E7DE1tpIqms0jYc8T879PJgXk=;
 b=AtbaE02cfs0w5/lF9eTDrYSTQgHji9Jm9j2cNLQ3PqA2t4ig/meRjdHDADh9q8wgM8
 6UqFX06UE3C/lWJOS/+RzDFRm7f++XPxAfpVK1uBEHajM3gPLYzr91R+xoISlF7c+2qe
 sm5V6FueNirbBdyVFownknkDO1Q2LHZjyWgzcHmm/lQO8K3iLAj9yrCYcD05d5TC4Ka6
 oIap+KGwJShOCVurhbaPc/xzcE1FJdAia7L9HswHMiv81vC1fght4wXyrolLmKc0SdSk
 fFLM6zpUD3HruI5CqcDXrqy6cCof5407U5h1Zffj5+eRqOsKew5gDZuU7wJfXgNe6IH5
 GSag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=4hXRYKoS6AgE+X4xY0E7DE1tpIqms0jYc8T879PJgXk=;
 b=H9opzwkhMBQb9B9sAJmfKSAPJlCNZZVxp6A0VSlxpZKYTzCzh9pc32PgmjWkUhzbCA
 UN1v7rnXFcwWcgLeD2fOn37MN34F5HP8oKJKwnBEUsps1JXr1AkE8ip+/xydNKsYDOOk
 ufektl+iJbj5dFgX8Sj/YlmloAilwzpJaX07St9dxr/w6mFKSE6r4u7cnwHuKGeqnHyr
 NU45mTYPoBVMbU40UtyYan//cduYUnFDAWv5XJd65lPZLXDBkyFhlmGmvBWavwJOUOgz
 SapfimTJ2ok1cF7nUVDCpmOnPOP34Gmy24/h6jA+CntPUeXyX8NGLJf5yx7Lei/fgZoP
 s1aw==
X-Gm-Message-State: AGRZ1gLee5BaYO08WS6lTyOZsupbQaqaw2IURPCinOLdecvCFvm7ZoqY
 yoJvqdTKAo07wiIa16veemvG6/QIQSw=
X-Google-Smtp-Source: AJdET5eCzTGxHwZlJsnGbmUrho/FaPVEBfJ5PM6gLRcP39nB3uXGbaJ3rRFI3t7b93n3Qe6ix/mVmg==
X-Received: by 2002:a17:902:166:: with SMTP id
 93-v6mr1825846plb.68.1540873391466; 
 Mon, 29 Oct 2018 21:23:11 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j187-v6sm31048344pfc.39.2018.10.29.21.23.09
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 21:23:10 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <09801c4a-1a7b-954b-07cb-8364d64d49e8@HIDDEN>
Date: Mon, 29 Oct 2018 22:23:09 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 11108 wishlist retitle 11108 chmod: fix symlink race
 condition forcemerge 11108 32772 [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.214.177 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 11108 wishlist
retitle 11108 chmod: fix symlink race condition
forcemerge 11108 32772




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 04:23:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 00:23:21 2018
Received: from localhost ([127.0.0.1]:52984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHLYk-0006dx-SN
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:23:21 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:39495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHLYj-0006di-Qb
 for control <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:23:18 -0400
Received: by mail-pl1-f177.google.com with SMTP id b5-v6so4249101pla.6
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 21:23:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=4hXRYKoS6AgE+X4xY0E7DE1tpIqms0jYc8T879PJgXk=;
 b=AtbaE02cfs0w5/lF9eTDrYSTQgHji9Jm9j2cNLQ3PqA2t4ig/meRjdHDADh9q8wgM8
 6UqFX06UE3C/lWJOS/+RzDFRm7f++XPxAfpVK1uBEHajM3gPLYzr91R+xoISlF7c+2qe
 sm5V6FueNirbBdyVFownknkDO1Q2LHZjyWgzcHmm/lQO8K3iLAj9yrCYcD05d5TC4Ka6
 oIap+KGwJShOCVurhbaPc/xzcE1FJdAia7L9HswHMiv81vC1fght4wXyrolLmKc0SdSk
 fFLM6zpUD3HruI5CqcDXrqy6cCof5407U5h1Zffj5+eRqOsKew5gDZuU7wJfXgNe6IH5
 GSag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=4hXRYKoS6AgE+X4xY0E7DE1tpIqms0jYc8T879PJgXk=;
 b=H9opzwkhMBQb9B9sAJmfKSAPJlCNZZVxp6A0VSlxpZKYTzCzh9pc32PgmjWkUhzbCA
 UN1v7rnXFcwWcgLeD2fOn37MN34F5HP8oKJKwnBEUsps1JXr1AkE8ip+/xydNKsYDOOk
 ufektl+iJbj5dFgX8Sj/YlmloAilwzpJaX07St9dxr/w6mFKSE6r4u7cnwHuKGeqnHyr
 NU45mTYPoBVMbU40UtyYan//cduYUnFDAWv5XJd65lPZLXDBkyFhlmGmvBWavwJOUOgz
 SapfimTJ2ok1cF7nUVDCpmOnPOP34Gmy24/h6jA+CntPUeXyX8NGLJf5yx7Lei/fgZoP
 s1aw==
X-Gm-Message-State: AGRZ1gLee5BaYO08WS6lTyOZsupbQaqaw2IURPCinOLdecvCFvm7ZoqY
 yoJvqdTKAo07wiIa16veemvG6/QIQSw=
X-Google-Smtp-Source: AJdET5eCzTGxHwZlJsnGbmUrho/FaPVEBfJ5PM6gLRcP39nB3uXGbaJ3rRFI3t7b93n3Qe6ix/mVmg==
X-Received: by 2002:a17:902:166:: with SMTP id
 93-v6mr1825846plb.68.1540873391466; 
 Mon, 29 Oct 2018 21:23:11 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j187-v6sm31048344pfc.39.2018.10.29.21.23.09
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 21:23:10 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <09801c4a-1a7b-954b-07cb-8364d64d49e8@HIDDEN>
Date: Mon, 29 Oct 2018 22:23:09 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 11108 wishlist retitle 11108 chmod: fix symlink race
 condition forcemerge 11108 32772 [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.214.177 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 11108 wishlist
retitle 11108 chmod: fix symlink race condition
forcemerge 11108 32772





Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.